<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-title>My Profile</ion-title>
        <!-- <ion-buttons slot="end">
            <ion-button>
                <ion-icon name="create"></ion-icon>
            </ion-button>
        </ion-buttons> -->
    </ion-toolbar>
</ion-header>

<ion-content>
    <div class="background-holder blue-border-height"></div>
    <div class="top-card ion-text-center ion-padding-vertical">
        <div class="img-holder">
            <ion-avatar>
                <img class="fix-avater" [src]="nurse?.avatarUrl" alt="">
            </ion-avatar>

        </div>
        <div class="details">
            <h5>{{nurse?.name}}<span></span> </h5>
            <p style="margin: auto;">
                <ion-icon name="eye-outline"></ion-icon>{{nurse?.viewCount}} views</p>
        </div>
    </div>

    <div class="bottom-section ion-padding zero-top-margin">
        <div class="general zero-top-margin">
            <h5>Telephone</h5>
            <div class="gen-list">
                <ion-item lines="none">
                    <div class="thumb" slot="start">
                        <img src="assets/imgs/settings.svg" alt="">
                    </div>
                    <ion-label>
                        <h2>{{nurse?.mobileNumber}}</h2>
                        <p>Extra: {{nurse?.extraMobileNo}}</p>
                    </ion-label>

                    <div class="no-inline-start-margin" slot="end">
                        <ion-button (click)="onViewContactClick()">
                            <ion-icon name="eye-outline"></ion-icon>
                        </ion-button>
                    </div>
                </ion-item>
            </div>
        </div>

        <div class="chart">
            <h5>Current Hospital</h5>
            <div class="chart-list">
                <ion-item lines="none">
                    <div class="thumb" slot="start">
                        <img src="assets/imgs/chartsmall.svg" alt="">
                    </div>
                    <ion-label>
                        <h2>{{nurse?.currentHospital?.name || '-'}}</h2>
                        <p>{{nurse?.currentHospital?.district | district}}</p>
                    </ion-label>
                </ion-item>
            </div>
        </div>

        <div class="chart" *ngFor="let hospital of nurse?.nurseExpectingHospitalList">
            <h5>Expected Hospital(s)</h5>
            <div class="chart-list">
                <ion-item lines="none" class="bottom-margin">
                    <div class="thumb" slot="start">
                        <img src="assets/imgs/chartsmall.svg" alt="">
                    </div>
                    <ion-label>
                        <h2>{{hospital?.hospitalName}}</h2>
                        <p>{{hospital?.district | district}}</p>
                    </ion-label>
                </ion-item>
            </div>
        </div>
    </div>
</ion-content>